[PC-BSD Commits] r3012 - in pbibuild/modules/abyssws: . overlay-dir
svn at pcbsd.org
svn at pcbsd.org
Sun Nov 30 12:20:41 PST 2008
Author: gonzalo
Date: 2008-11-30 12:20:41 -0800 (Sun, 30 Nov 2008)
New Revision: 3012
Modified:
pbibuild/modules/abyssws/build.sh
pbibuild/modules/abyssws/overlay-dir/PBI.SetupScript.sh
pbibuild/modules/abyssws/pbi.conf
Log:
Now pbi asks for lang files to be installed automatically
Modified: pbibuild/modules/abyssws/build.sh
===================================================================
--- pbibuild/modules/abyssws/build.sh 2008-11-30 14:37:46 UTC (rev 3011)
+++ pbibuild/modules/abyssws/build.sh 2008-11-30 20:20:41 UTC (rev 3012)
@@ -8,30 +8,3 @@
# MODULEDIR = The location of the module directory for this PBI
# PORTVER = Version number of the port we used to build
##############################################################################
-cd /usr/local/lib/abyssws/lang/
-fetch http://www.aprelium.com/abyssws/languages/a/ar.lng
-fetch http://www.aprelium.com/abyssws/languages/a/bg.lng
-fetch http://www.aprelium.com/abyssws/languages/a/cz.lng
-fetch http://www.aprelium.com/abyssws/languages/a/de.lng
-fetch http://www.aprelium.com/abyssws/languages/a/es.lng
-fetch http://www.aprelium.com/abyssws/languages/a/fr.lng
-fetch http://www.aprelium.com/abyssws/languages/a/gr.lng
-fetch http://www.aprelium.com/abyssws/languages/a/hr.lng
-fetch http://www.aprelium.com/abyssws/languages/a/hu.lng
-fetch http://www.aprelium.com/abyssws/languages/a/id.lng
-fetch http://www.aprelium.com/abyssws/languages/a/it.lng
-fetch http://www.aprelium.com/abyssws/languages/a/jp.lng
-fetch http://www.aprelium.com/abyssws/languages/a/mk.lng
-fetch http://www.aprelium.com/abyssws/languages/a/ms.lng
-fetch http://www.aprelium.com/abyssws/languages/a/nl.lng
-fetch http://www.aprelium.com/abyssws/languages/a/no.lng
-fetch http://www.aprelium.com/abyssws/languages/a/nn-no.lng
-fetch http://www.aprelium.com/abyssws/languages/a/pl.lng
-fetch http://www.aprelium.com/abyssws/languages/a/pt.lng
-fetch http://www.aprelium.com/abyssws/languages/a/pt-br.lng
-fetch http://www.aprelium.com/abyssws/languages/a/ru.lng
-fetch http://www.aprelium.com/abyssws/languages/a/sl.lng
-fetch http://www.aprelium.com/abyssws/languages/a/sv.lng
-fetch http://www.aprelium.com/abyssws/languages/a/tr.lng
-fetch http://www.aprelium.com/abyssws/languages/a/zh-cn.lng
-fetch http://www.aprelium.com/abyssws/languages/a/zh-tw.lng
\ No newline at end of file
Modified: pbibuild/modules/abyssws/overlay-dir/PBI.SetupScript.sh
===================================================================
--- pbibuild/modules/abyssws/overlay-dir/PBI.SetupScript.sh 2008-11-30 14:37:46 UTC (rev 3011)
+++ pbibuild/modules/abyssws/overlay-dir/PBI.SetupScript.sh 2008-11-30 20:20:41 UTC (rev 3012)
@@ -18,3 +18,48 @@
ln -s /Programs/${PROGDIR}/.sbin/abyssws-start /usr/local/bin/abyssws-start
ln -s /Programs/${PROGDIR}/etc/rc.d/abyssws /usr/local/etc/rc.d/abyssws
ln -s /Programs/${PROGDIR}/lib/abyssws /usr/local/lib/abyssws
+chmod -fR 775 /Programs/${PROGDIR}/lib/abyssws
+echo 'MSG: Installing lang packages'
+kdialog --warningyesno 'Do you want to install all languages support?\n Internet should be working!'
+respuesta=$?
+if [ "$respuesta" = "0" ]; then
+echo 'MSG: Detecting network'
+isalive=`ping -c2 www.aprelium.com >/dev/null && echo up || echo down;`
+ if [ "$isalive" = "down" ]; then
+ kdialog --error "Aprelium host down."
+ else
+ cd /usr/local/lib/abyssws/lang/
+ fetch http://www.aprelium.com/abyssws/languages/a/ar.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/bg.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/cz.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/de.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/es.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/fr.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/gr.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/hr.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/hu.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/id.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/it.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/jp.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/mk.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/ms.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/nl.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/no.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/nn-no.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/pl.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/pt.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/pt-br.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/ru.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/sl.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/sv.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/tr.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/zh-cn.lng
+ fetch http://www.aprelium.com/abyssws/languages/a/zh-tw.lng
+ kdialog --msgbox "International languages installed!"
+ fi
+fi
+
+if [ "$respuesta" = "1" ]; then
+kdialog --msgbox "Canceled!"
+fi
+
Modified: pbibuild/modules/abyssws/pbi.conf
===================================================================
--- pbibuild/modules/abyssws/pbi.conf 2008-11-30 14:37:46 UTC (rev 3011)
+++ pbibuild/modules/abyssws/pbi.conf 2008-11-30 20:20:41 UTC (rev 3012)
@@ -32,6 +32,6 @@
# Build Key - Change this to anything else to trigger a rebuild
# - The rebuild will take place even if port is still the same ver
-BUILDKEY="02"
+BUILDKEY="03"
export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY
More information about the Commits
mailing list